package com.bonus.canteen.core.menu.po;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel
public class MenuMaterialCategoryModel {
   @ApiModelProperty("类别id")
   private Long categoryId;
   @ApiModelProperty("类别编码")
   private String categoryNum;
   @ApiModelProperty("类别名称")
   private String categoryName;
   @ApiModelProperty("父级类别id")
   private Long parentId;
   @ApiModelProperty("类别类型")
   private Integer categoryType;

   public Long getCategoryId() {
      return this.categoryId;
   }

   public String getCategoryNum() {
      return this.categoryNum;
   }

   public String getCategoryName() {
      return this.categoryName;
   }

   public Long getParentId() {
      return this.parentId;
   }

   public Integer getCategoryType() {
      return this.categoryType;
   }

   public void setCategoryId(final Long categoryId) {
      this.categoryId = categoryId;
   }

   public void setCategoryNum(final String categoryNum) {
      this.categoryNum = categoryNum;
   }

   public void setCategoryName(final String categoryName) {
      this.categoryName = categoryName;
   }

   public void setParentId(final Long parentId) {
      this.parentId = parentId;
   }

   public void setCategoryType(final Integer categoryType) {
      this.categoryType = categoryType;
   }
}
